package com.yuchen.saas.parking.api.feign;

import com.yuchen.saas.parking.api.entity.IotBatIntegratedDevice;
import org.nest.springwrap.core.tool.api.R;
import org.springframework.stereotype.Component;

import java.util.List;

/**
 * @author xt
 * @create 2020/12/23 21:41
 */
@Component
public class IntegratedClientFallback implements IntegratedClient {

    @Override
    public R<IotBatIntegratedDevice> getDeviceByCameraCode(String cameraIndexCode) {
        return R.fail("数据返回失败");
    }

    @Override
    public R<List<IotBatIntegratedDevice>> getAllDevices(String productKey) {
        return R.fail("数据返回失败");
    }

    @Override
    public IotBatIntegratedDevice getDeviceInfoByDeviceId(String deviceId) {
        return new IotBatIntegratedDevice();
    }
}
